### Method

# Ide WorkbenchAddin open_async

#### Declaration

    void
    ide_workbench_addin_open_async (
      IdeWorkbenchAddin* self,
      GFile* file,
      const gchar* content_type,
      IdeBufferOpenFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`file` | `GFile`
| No description available.
| The data is owned by the caller of the function.
`content_type` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `IdeBufferOpenFlags`
| No description available.
`cancellable` | `GCancellable`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| No description available.
| The argument can be `NULL`.
`user_data` | `gpointer`
| No description available.
| The argument can be `NULL`.
| The data is owned by the caller of the function.